$(function(){
	//登出按钮
	$("#logoutLink").click(function(){
		loginstatus.logout(default_logout);
	})
	
	
	$("#lott_news").mouseover(function(){
		$(this).children("a").addClass("hover").next().show();
	}).mouseout(function(){
		$(this).children("a").removeClass("hover").next().hide();
	})
	$("#jrkj_dl > ul.kj_tabs > li").mouseover(function(){
		$("#jrkj_dl > ul.kj_tabs > li").removeClass("cur");
		$(this).addClass("cur");
		$("#jrkj_dl > div.kj_con").hide();
		$("#jrkj_dl > div.kj_con").eq($(this).index()).show();
	})
	
	$("#notice > ul.notice_nav > li").mouseover(function(){
		$("#notice > ul.notice_nav > li").removeClass("cur");
		$(this).addClass("cur");
		$("#notice > div.notice_cont").hide();
		$("#notice > div.notice_cont").eq($(this).index()).show();
	})
	$("#intro_tips > a").mouseover(function(){
		$(this).addClass("hover");
		$(this).next().show();
	}).mouseout(function(){
		$(this).removeClass("hover");
		$(this).next().hide();
	})
	
	$("#kaijiang > ul  > li").mouseover(function(){
		$("#kaijiang > ul  > li").removeClass("cur")
		$(this).addClass("cur")
		var index = $(this).index();
		$("#scroll_box0,#scroll_box1").hide();
		$("#scroll_box"+index).show()
		$("div.scroll_btn").hide();
		$("div#scroll_btn"+index).show()
		
	})
	var fq_height = $("#scroll_con").height()
	var scroll_box0_height = $("#scroll_box0").height()
	var scroll_box1_height = $("#scroll_box1").height()
	$("#scroll_up_0").click(function(){
		var top = $("#scroll_box0").css("margin-top")
		top = top.replace("px","")
		if(top =="auto")
		{
			top = 0
		}
		
		top = top * -1
		if (top+fq_height < scroll_box0_height)
		{
			if (scroll_box0_height - (fq_height+top) > 118)
			{
				top = top + 118
			}
			else
			{
				top = scroll_box0_height - fq_height
			}
			$("#scroll_box0").css("margin-top",top * -1)
		}
	})
	$("#scroll_down_0").click(function(){
		var top = $("#scroll_box0").css("margin-top")
		top = top.replace("px","")
		if(top =="auto")
		{
			top = 0
		}
		top = top * -1
		if (top > 0)
		{
			if (top > 118)
			{
				top = top - 118
			}
			else
			{
				top = 0
			}
			$("#scroll_box0").css("margin-top",top * -1)
		}
	})
	$("#scroll_up_1").click(function(){
		var top = $("#scroll_box1").css("margin-top")
		top = top.replace("px","")
		if(top =="auto")
		{
			top = 0
		}
		top = top * -1
		if (top+fq_height < scroll_box1_height)
		{
			if (scroll_box1_height - (fq_height+top) > 118)
			{
				top = top + 118
			}
			else
			{
				top = scroll_box1_height - fq_height
			}
			$("#scroll_box1").css("margin-top",top * -1)
		}
	})
	$("#scroll_down_1").click(function(){
		var top = $("#scroll_box1").css("margin-top")
		top = top.replace("px","")
		if(top =="auto")
		{
			top = 0
		}
		top = top * -1
		if (top > 0)
		{
			if (top > 118)
			{
				top = top - 118
			}
			else
			{
				top = 0
			}
			$("#scroll_box1").css("margin-top",top * -1)
		}
	})
	
	$("ul#hmcase > li").click(function(){
		$("ul#hmcase > li").removeClass("cur")
		$(this).addClass("cur")
		var index = $(this).index();
		CheckHM(index, $(this).attr("lotid"), $(this).attr("lotname"),"load")
	})
	$("ul#hmcase > li").eq(2).click()
	
	//刷新合买列表
	$("#shuaxin").click(function(){
		var div = $("ul#hmcase > li.cur");
		CheckHM($(div).index(),$(div).attr("lotid"),$(div).attr("lotname"),"refresh");
	})
	
	$("#ranking > ul  > li").mouseover(function(){
		$("#ranking > ul  > li").removeClass("cur")
		$(this).addClass("cur")
		var index = $(this).index();
		$("#ranking>div").hide();
		$("#ranking>div").eq(index).show()
		
	})
})

/*
function RefreshMoney(){
	if($("#top_user_info").is(":hidden"))
	{
		$("#mainLoginBefore").show();
		$("#mainLoginAfter").hide();
		$("#mainNotJieSuan,#mainGuanzhuHemai,#mainZhuihao").text(0)
	}
	else
	{
		$("#mainLoginBefore").hide();
		$("#mainLoginAfter").show();
		$("#mainNotJieSuan").text($("#money").text())
		$("#mainGuanzhuHemai").text($("#tmppay").text())
		$("#mainZhuihao").text($("#packs").text())
	}
}

function default_logout(){
	$("#mainLoginBefore").show();
	$("#mainLoginAfter").hide();
	$("#mainNotJieSuan,#mainGuanzhuHemai,#mainZhuihao").text(0)
}
*/
